Skip to content

getByIdPaymentMethod

Request

Path
idinteger, (int32)required
GET
/api/v1/payment/method/{id}
curl -i -X GET \
  'https://api.prana.software/api/v1/payment/method/{id}'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codeinteger, (int32)required

Unique code for the payment method.

Default:""
Example:10
descriptionstring, non-emptyrequired

Description of the payment method.

Default:""
Example:"Bank transfer"
documentstring

Document code for the payment method.

Default:""
Example:"DOC01"
firstTerminteger, (int32)

Days to the first term.

Default:""
Example:30
termsinteger, (int32)

Number of terms.

Default:""
Example:3
daysTermsinteger, (int32)

Number of days for terms.

Default:""
Example:90
remittanceboolean

Indicates whether remittance is required.

Default:false
Example:true
addToCustomerBaseboolean

Indicates if the method adds to the customer base.

Default:false
Example:true
notCountedAsPaymentForecastboolean

Indicates if payment is not counted as forecast.

Default:false
Example:false
serveFullPrePaidboolean

Indicates if the service is fully prepaid.

Default:false
Example:false
paymentAccountobject(ApiChartAccountListReadDto)

Payment account identifier.

Default:""
Example:410
discountAccountobject(ApiChartAccountListReadDto)

Discount account identifier.

Default:""
Example:411
customerAccountobject(ApiChartAccountListReadDto)

Customer account identifier.

Default:""
Example:430
saleAccountobject(ApiChartAccountListReadDto)

Sale account identifier.

Default:""
Example:700
bankobject(ApiBankListReadDto)

Bank associated with the payment method.

Default:""
billCodestring

Code for the bill.

Default:""
Example:"BILL01"
fdiCodestring

FDI code for the payment method. See ApiFDICodes for all possible values.

Default:""
Example:"TRANSFER"
facturaECodestring(ApiFacturaECodeEnum)

FacturaE code for the payment method. See ApiFacturaECodeEnum for all available values.

Default:""
Enum:"NOT_SPECIFIED""CASH""DOMICILED_RECEIPT""RECEIPT""TRANSFER""ACCEPTED_LETTER""LETTER_OF_CREDIT""CONTRACT_AWARD""BILL_OF_EXCHANGE""PROMISORY_NOTE_IN_ORDER"
Example:"TRANSFERENCIA"
observationsstring

Additional observations about the payment method.

Default:""
Example:"Requires confirmation"
prestashopModulestring

Name of the Prestashop module associated.

Default:""
Example:"ps_bankwire"
languagesobject

Map of localized languages for the payment method.

Default:""
iconstring

Icon associated with the payment method.

Default:""
Example:"icon-bank.png"
cmsPaymentMethodDescriptionstring
Response
// No response example